Jump to content

Search the Community

Showing results for tags 'pdf'.

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • CADTutor
    • News, Announcements & FAQ
    • Feedback
  • AutoCAD
    • AutoCAD Beginners' Area
    • AutoCAD 2D Drafting, Object Properties & Interface
    • AutoCAD Drawing Management & Output
    • AutoCAD 3D Modelling & Rendering
    • AutoCAD Vertical Products
    • AutoCAD LT
    • CAD Management
    • AutoCAD Bugs, Error Messages & Quirks
    • AutoCAD General
    • AutoCAD Blogs
  • AutoCAD Customization
    • The CUI, Hatches, Linetypes, Scripts & Macros
    • AutoLISP, Visual LISP & DCL
    • .NET, ObjectARX & VBA
    • Application Beta Testing
    • Application Archive
  • Other Autodesk Products
    • Autodesk 3ds Max
    • Autodesk Revit
    • Autodesk Inventor
    • Autodesk Software General
  • Other CAD Products
    • BricsCAD
    • SketchUp
    • Rhino
    • SolidWorks
    • MicroStation
    • Design Software
    • Catch All
  • Resources
    • Tutorials & Tips'n'Tricks
    • AutoCAD Museum
    • Blocks, Images, Models & Materials
    • Useful Links
  • Community
    • Introduce Yourself
    • Showcase
    • Work In Progress
    • Jobs & Training
    • Chat
    • Competitions

Categories

  • Programs and Scripts
  • 2D AutoCAD Blocks
  • 3D AutoCAD Blocks
  • Images
    • Backgrounds

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

  1. Good afternoon. Well recently I saw a 3D PDF and I want to know if Autocad 2016 can plot a 3d object to this 3D PDF. Ist that possible? What and how I'll do such thing?
  2. Here are a few Print Lisp that I've come up with help of a multitude of people on this website, I thought that I would share them for whoever would like to use them. Enjoy!!! ;;; Shop Prints 18x24 (defun c:Shop (/ ob ss bn mn mx) (vl-load-com) (pltnum) (if (and (progn (initget "B") (setq ob (entsel "\nSelect Block/B for blockname: ")) (cond ((eq ob "B") (setq bn (getstring "\nEtner Block Name: ")) ) ((and (eq (type ob) 'LIST) (vlax-method-applicable-p (vlax-ename->vla-object (car ob)) 'getboundingbox)) (setq bn (cdr (assoc 2 (entget (car ob)))))))) (tblsearch "BLOCK" bn) bn (setq ss (ssget "_X" (list '(0 . "INSERT")'(410 . "Model")(cons 2 bn)))) ) (progn (vla-zoomextents (vlax-get-acad-object)) (repeat (setq i (sslength ss)) (vla-getboundingbox (vlax-ename->vla-object (ssname ss (setq i (1- i)))) 'mn'mx) (repeat xplta (command "plot" "yes" "model" "Your Plotter Name.pc3" "18x24(ARCH C)" "inches" "LANDSCAPE" "no" "Window" (trans (vlax-safearray->list mn) 0 1) (trans (vlax-safearray->list mx) 0 1) "fit" "center" "yes" "Your.ctb" "yes" "no" "no" "yes" "yes") ) ) (princ "\nNo Blocks Selected: ") ) ) (defun pltnum () (setq numplt (getint "\nEnter Number of Plots <1>: ")) (if (= numplt nil) (setq xplt 1) (setq xplt numplt)) (if (<= xplt 15) (setq xplta xplt) (setq xplta 15)) ) (princ) ) ;;; LAYOUT PRINT 18x24 (defun c:Tab ( / CURRENTTAB) (pltnum) (setq CURRENTTAB (getvar "ctab")) (repeat xplta (foreach LAYOUT (layoutlist) (setvar "ctab" LAYOUT) (command "-plot" "yes" "" "Your Plotter Name.pc3" "18x24(ARCH C)" "Inches" "LANDSCAPE" "NO" ;PLOT UPSIDE DOWN "EXTENTS" "FIT" "center" "YES" ;PLOT WITH PLOTSYTLES "Your.CTB" "NO" ;PLOT WITH LINEWEIGHTS "NO" ;SCALE LINEWEIGHTS WITH PLOT SCALE "YES" ;PLOT PAPER SPACE LAST "NO" ;REMOVE HIDDEN LINES "NO" ;WRITE THE PLOT TO A FILE "NO" ;SAVE CHANGES TO LAYOUT "YES");PROCEED WITH PLOT ) ) (defun pltnum () (setq numplt (getint "\nEnter Number of Plots <1>: ")) (if (= numplt nil) (setq xplt 1) (setq xplt numplt)) (if (<= xplt 15) (setq xplta xplt) (setq xplta 15)) ) (setvar "ctab" CURRENTTAB) (princ) ) ;;; Printpage18 (defun c:prp18 (/ ss mn mx) (vl-load-com) (pltnum) (if (setq ss (ssget "_:S:E" '((0 . "INSERT,LWPOLYLINE")))) (progn (vla-getboundingbox (vlax-ename->vla-object (ssname ss 0)) 'mn'mx) (repeat xplta (command "plot" "yes" "model" "Your Plotter Name.pc3" "18x24(ARCH C)" "inches" "LANDSCAPE" "no" "Window" (trans (vlax-safearray->list mn) 0 1) (trans (vlax-safearray->list mx) 0 1) "fit" "center" "yes" "Your.ctb" "yes" "no" "no" "yes" "yes") ) ) ) ) (defun pltnum () (setq numplt (getint "\nEnter Number of Plots <1>: ")) (if (= numplt nil) (setq xplt 1) (setq xplt numplt)) (if (<= xplt 15) (setq xplta xplt) (setq xplta 15)) ) ;;; PDF's All Tabs to source drawing folder with Tab name. (defun c:pdf ( / *error* cm fd ) (defun *error* ( msg ) (if (= 'int (type cm)) (setvar 'cmdecho cm) ) (if (= 'int (type fd)) (setvar 'filedia fd) ) (if (not (wcmatch (strcase msg) "*BREAK,*CANCEL*,*EXIT*")) (princ (strcat "\nError: " msg)) ) (princ) ) (foreach layoutname (vl-remove "Model" (layoutlist)) (command "._layout" "set" layoutname) (progn (setq fd (getvar 'filedia) cm (getvar 'cmdecho) ) (setvar 'filedia 0) (setvar 'cmdecho 0) (command "-plot" "_Y" ;; Detailed plot configuration? [Yes/No]: "" ;; Enter a layout name <Current-Layout>: "dwg to PDF" ;; Enter an output device name: "ARCH expand C (18.00 x 24.00 Inches)" ;; Enter paper size: "_I" ;; Enter paper units [inches/Millimeters]: "_L" ;; Enter drawing orientation [Portrait/Landscape]: "_N" ;; Plot upside down? [Yes/No]: "_E" ;; Enter plot area [Display/Extents/Layout/View/Window]: "_F" ;; Enter plot scale (Plotted Inches=Drawing Units) or [Fit] <1=1>: "_C" ;; Enter plot offset (x,y) or [Center]: "_Y" ;; Plot with plot styles? [Yes/No]: "tfc.ctb" ;; Enter plot style table name (enter . for none): "_Y" ;; Plot with lineweights? [Yes/No]: "_N" ;; Scale lineweights with plot scale? [Yes/No]: "_N" ;; Plot paper space first? [Yes/No]: "_N" ;; Hide paperspace objects? [Yes/No]: (strcat ;; Enter file name: (getvar 'dwgprefix) (cadr (fnsplitl (getvar 'dwgname))) "-" (getvar 'ctab) ".pdf" ) "_N" ;; Save changes to page setup [Yes/No]: "_Y" ;; Proceed with plot [Yes/No]: ) (setvar 'cmdecho cm) (setvar 'filedia fd) ) (princ "\nCommand not available in Modelspace.") ) (princ) )
  3. I'm fairly new to cad, been using it for less than a year but have never had this problem before: when i export a dwg file to pdf not all the lines appear... it is not a layer issue as some of the missing lines are in the same layer as those that are showing up. if you zoom in to the pdf they will appear but i have quality issues when plotting. i don't think it's the drawing because if i use autocad on the windows side of my mac it is fine although appears to be exporting faintly - blacks are more grey in colour. so i am assuming it's some sort of bug on autocad for mac? i had 2014, deleted it and upgraded to 2015 but have the same issue. i've upgraded to yosemite but the drawing was fine after this, it has only happened in the last few days. please help, my final crit is in 2 weeks!
  4. When I use plot to pdf, I look at the pdf and everything looks fine, however when I plot said pdf file I get text that is "in jail" the only thing that is different between the different text file is using wipeout or mask, will show the bars. I've tried to upload a pic, but its not letting me.
  5. I'm using AutoCad 2015 to convert PDF files into drawings, but every time I access the files on a different computer the PDF is gone. In its place is a message saying "missing or invalid reference", so I have to reattach the PDF. Can I attach the PDF permanently, instead of as a reference? If so, how? Thanks in advance for any helpful replies.
  6. I'm using AutoCad Release 13. Is there a way to increase line weight? I'm converting my drawings to a .pdf file so that they can be printed at a local printer who doesn't have AutoCad. When they plot my converted files, the lines are barely visible and get less so when the drawing is enlarged. Thanks for your help.
  7. hello i'm priting my drafts with PUBLISH to a PDF file i'would like to change the name of the PDF : the name would start by the name of the tab and finish by the name of the file How can i lmake this possible? Phil PS : sorry, i need to increase my Acad vocabulary in english which is quite poor yet (i'm working on a French version)
  8. HI, I HAVE A SIMPLE SCRIPT FILE THAT PRINTS SPECIFIC TABS INSIDE A CAD FILE, IS IT POSSIBLE TO CHANGE THIS TO MAKE IT PLOT MULTIPLE TABS "LAYOUTS" IN THE SAME FILE, BASICALLY WILL BECOME EQUIVALENT TO A PUBLISH "BATCH PLOT" COMMAND. -PLOT Y PV2.00 DWG TO PDF.PC3 ARCH full bleed E1 (30.00 x 42.00 Inches) I L N L F Y SoCore_2014.ctb Y Y Y N N Y Y THNX
  9. Hello all, I have been working on printing to text-searchable PDFs, and ran into a little problem. When I regen a drawing and print to PDF, the output is not consistent - it changes just a little bit from plot to plot. This is unacceptable to the client, who is very picky about their drawing packages. Can anyone reproduce this problem? I attached a script and a drawing that shows what I mean. I put both in C:\test\, then opened the drawing and loaded the script. The result is 10 pdfs saved in that folder, each one a little bit different. The right most line is sometimes outside the print area, sometimes inside. It seems completely random. The only code that runs between plots is (command "undo" "mark" "-purge" "all" "*" "no" "-overkill" "all" "" "done" "-purge" "all" "*" "no" "regen" "undo" "back") But how on earth could that change the drawing?! Furthermore, why does it change the drawing in a way that's inconsistent? If it was shifting things around, that's one thing, but to sometimes change things and sometimes leave them alone? I feel like my computer is non-deterministic example.dwg print.lsp
  10. Hi, I have several drawings that each include (1) a layout containing a viewport showing drainage areas & an x-referenced survey and (2) a spreadsheet with drainage calculations. Recently a problem has developed such that the x-referenced survey is not plotting correctly on the layouts that contain the spreadsheet. At first I thought it was a fluke with one drawing, but then it started happening on all my drawings, even ones that had previously plotted fine. Here are the details: 1) The x-reference plots fine in all the layouts within the drawing except the one that contains the spreadsheet. 2) The spreadsheet is put into the drawing by selecting the cells in Excel, copying, going to paperspace in Autocad, and pasting the cells in. 3) I have two methods for creating pdfs in Civil 3D 2008. First method: go to the "Adobe PDF" menu and select the "Convert to Adobe PDF" option. This method plots everything fine except the xreference. Second method: Go to "File" -> "Plot" and use the plotter "DWG to PDF.pc3". This method plots the xreference, but the text in the titleblock and the spreadsheet is all garbled and fuzzy. Any suggestions? Is there some system variable or AutoCAD setting that would cause this?
  11. For some reason parts of my PDF underlay, certain walls and such on a building I'n working on, won't show up. The project is not worth the time to redraw and should be something simple for me to slap over the underlay. I'm not sure if I'm doing something wrong, I've tried my regular troubleshooting methods. As soon as I click on PDF underlay and select this PDF, I can already see in the preview before I click "ok" that some things are missing. Any help would be appreciated as I just want this to be a quick job. Thanks!
  12. Hi Guys, We have been supplied over 150 dwg files and I have been assigned the task of exporting them all to PDF. Is there a batch processor that is capable of doing this task? I can see software that will cost $99 and hopefully be able to do it, but im hoping to learn how to do it some other way (if possible!) Has anyone been down this path before and been able to do it? Thanks
  13. Hello! I am new here and here's my first question: After not using AutoCAD for 4-5 months, I don't know what happened, but now when I tried to convert my DWG to PDF (that I've done successfully a million times in the past) it crashes and the program shuts down. I 've tried doing it both ways: plot... and Convert to PDF (directly from the toolbar). Every time it crashes right when I am supposed to give a name to the file and select "where to save it". What's happening?! I hope I explained the problem well and you know what I'm talking about. Thank you! AutoCAD 2007, OS Windows 7.
  14. I just want to print a CAD drawing according to some required scale. Please help me I have never done this before. I needs some hint. 1:1 1:2 1:3 1:4 1:5 1:10 1:100 Another thing what if I convert the drawing having specific scale into PDF format and print it. Are the scale remain same? If I scaled the diagram say in A4 paper then print this on A3 paper the scale remain the same?
  15. I am working with Autocad 2014 and am trying to batch PDF using the BATCHPLOT utility built in to autocad. The problem I have is for some odd reason it is trimming off the right margin. It does not let me define how I want to window or anything to be plotted and I need to plot over 600 dwg to pdf. I used a page setup one time but had to hit ENTER all morning! Please help and chime in! God bless!
  16. I was wondering if its possible and someone knows a way, to get another machine to do the grunt work on a batchplot; in a similar way to a render farm outsources computer power to do large renders. I find the plot in background option takes significantly longer to plot and slows the computer down to boot, we have a spare CAD machine sitting in the corner, I'm imagining it wont be too hard but I could be wrong. cheers
  17. pharrold

    EXPORT Dialog

    Hi, When using the Export function on the command line is there a way to type the destination in rather than having the save dialog pop up? Thanks.
  18. Here's a question for the jedi's. Any idea how I can do a batch plot to PDF whilst appending some element to the end of the filename? Using AutoCAD 2011's batch plot, or TrueView 2014's batch plot the default PDF filename when plotting to PDF appears to be: -.pdf Which is okay. But I want to append to that the revision of the layout (C1, C2, etc.) which I currently store in a title block as a block attribute value. Any ideas if there's a method for somehow pulling this out and including it after the filename such that I could end up with: --.pdf Any thoughts? We're currently trying to transition to using the Sheet Set Manager, is the above any easier to achieve using that? TIA.
  19. I didn't know which of all the forums was best suited for this question but I trust the knowledge base that I know hangs out in this particular forum. I did a search and found no results. If this topic has been discusses eleswhere please provide a link. I'm looking for an application (retail) that does a good (accurate) job of converting PDF files to DWG or DXFs. I realize that it is not an exact science and each program has its strong and weak points. Just wondering what some of you recommend (and DON'T recommend ) Thanks!!
  20. I've seen it before, but can't seem to find it. Where do I want to start if I'm wanting to write a rule that every time I save, Inventor will export to pdf (in the case of drawings). I'm completely new to rules, and any help would be appreciated! TIA!
  21. Hi, I seem to be having an issue publishing multiple layouts into a single PDF. All the layouts are setup to plot to 'Adobe PDF' and in the Publish options I have set 'Publish to: Plotter named in page setup' as well as 'Multi-sheet file'. When I click OK I'm prompted for the filename for each layout and have to save them as separate files. The only time it does work is when I choose 'Publish to: PDF' which I guess uses AutoCAD's internal 'DWG to PDF' method. Is my preferred method an Adobe issue or is it fixable through AutoCAD?
  22. Hi Guys, OK I'm running AutoCAD Civil 3D 2012 - So I've had this issue for a while - I try to XREF in a PDF an it just freezes up. The command line is stuck on _PDFATTACH and nothing happens. And it's not like it'd totally frozen either because as soon as I press escape it comes right out of it, so then I save the PDF down to a JPEG or TIFF and don't worry about it for a while. Still, it is quite annoying especially when I would like to use PDF Layers but can't. If any of you have experienced this and figured out a fix please let me know! Thanks!
  23. Hi there, My coworker who does not have AutoCAD is trying to find text in a 250 page PDF that I am 98% sure came directly from a DWG. When we search for the text in the basic search command in Acrobat Pro we get nothing. Is there a way for Acrobat to identify the text or mtext as characters, not pixels again and search within those pages to find the text? And yes, it does occur at least twice in the doc that we have noticed. I'm on Adobe Acrobat 9 Pro and he is on Adobe Acrobat 11 Pro. If needed for very short term purpose, I have AutoCAD 2013 MEP. Thanks
  24. SunnyTurtle

    pdf batch.

    I have a (.bat) that i use to batch PDF's it seem to struggle with files that have a space in there name can any one help me. "S:\Bat\Print_PDF\PDF_Reminder.vbs" for %%f in ("C:\AutoCad_Batch\Batch_Print_PDF\*.pdf") do call hp9050_PDFengine.bat %%f "S:\Bat\Print_PDF\PDF_Send.vbs" in the mean time i am just using Lupus to rename the file without a space
  25. I am using AutoCAD 08. I have been noticing that when I create a Multi-page PDF by creating a New Sheet Set. That some of the Items(Text, Numbers or Lines) in Paper Space are not appearing on the page that they should but instead appearing on the next page. In the location where it should be on the previous page. Is there a way to fix this bleed through or is there a better way to create a Multi-Page PDF other than what I have been doing?
×
×
  • Create New...